com.trendmicro.ds.platform.rest.object.scheduledtask

## Class MonthlyScheduleParameters

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.MonthlyScheduleParameters

- All Implemented Interfaces:
    IScheduleParameters

      public class MonthlyScheduleParameters
      extends java.lang.Object
      implements IScheduleParameters

  Parameters for monthly schedule

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MonthlyScheduleParameters.Day` Day of week.
    `static class` | `MonthlyScheduleParameters.FrequencyType` FrequencyType controls how often the task is run.
    `static class` | `MonthlyScheduleParameters.Month` Month of Year.
    `static class` | `MonthlyScheduleParameters.Week` Week of month.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MonthlyScheduleParameters.Month[]` | `ALL_MONTHS` Handy array used to run a task every month.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonthlyScheduleParameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MonthlyScheduleParameters` | `addMonth(MonthlyScheduleParameters.Month month)` Add a month.
    `java.lang.Integer` | `getDayOfMonth()` Get the day of month.
    `MonthlyScheduleParameters.Day` | `getDayOfWeek()` Get the day of week.
    `MonthlyScheduleParameters.FrequencyType` | `getFrequencyType()` Get the frequency type.
    `java.util.List<MonthlyScheduleParameters.Month>` | `getMonths()` Get the months.
    `MonthlyScheduleParameters.Week` | `getWeekOfMonth()` Get the week of month.
    `void` | `setDayOfMonth(java.lang.Integer dayOfMonth)` Set the day of month.
    `void` | `setDayOfWeek(MonthlyScheduleParameters.Day dayOfWeek)` Set the day of week.
    `void` | `setFrequencyType(MonthlyScheduleParameters.FrequencyType frequencyType)` Set the frequency type.
    `void` | `setMonths(java.util.List<MonthlyScheduleParameters.Month> months)` Set the months.
    `void` | `setWeekOfMonth(MonthlyScheduleParameters.Week weekOfMonth)` Set the week of month.
    `java.lang.String` | `toString()`
    `MonthlyScheduleParameters` | `withDayOfMonth(java.lang.Integer dayOfMonth)` Set the day of month.
    `MonthlyScheduleParameters` | `withDayOfWeek(MonthlyScheduleParameters.Day dayOfWeek)` Set the day of week.
    `MonthlyScheduleParameters` | `withFrequency(MonthlyScheduleParameters.FrequencyType frequencyType)` Set the frequency type.
    `MonthlyScheduleParameters` | `withMonths(java.util.List<MonthlyScheduleParameters.Month> months)` Set the months.
    `MonthlyScheduleParameters` | `withMonths(MonthlyScheduleParameters.Month... months)` Set the months.
    `MonthlyScheduleParameters` | `withWeekOfMonth(MonthlyScheduleParameters.Week weekOfMonth)` Set the week of month.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALL_MONTHS

          public static final MonthlyScheduleParameters.Month[] ALL_MONTHS

      Handy array used to run a task every month.

  - ### Constructor Detail

    - #### MonthlyScheduleParameters

          public MonthlyScheduleParameters()

  - ### Method Detail

    - #### getFrequencyType

          public MonthlyScheduleParameters.FrequencyType getFrequencyType()

      Get the frequency type.
      Returns:
        the frequency type.

    - #### setFrequencyType

          public void setFrequencyType(MonthlyScheduleParameters.FrequencyType frequencyType)

      Set the frequency type.
      Parameters:
        `frequencyType` - the frequency type.

    - #### withFrequency

          public MonthlyScheduleParameters withFrequency(MonthlyScheduleParameters.FrequencyType frequencyType)

      Set the frequency type.
      Parameters:
        `frequencyType` - the frequency type.
      Returns:
        the updated MonthlyScheduleParameters object.

    - #### getDayOfMonth

          public java.lang.Integer getDayOfMonth()

      Get the day of month.
      Returns:
        the day of month.

    - #### setDayOfMonth

          public void setDayOfMonth(java.lang.Integer dayOfMonth)

      Set the day of month.
      Parameters:
        `dayOfMonth` - the day of month.

    - #### withDayOfMonth

          public MonthlyScheduleParameters withDayOfMonth(java.lang.Integer dayOfMonth)

      Set the day of month.
      Parameters:
        `dayOfMonth` - the day of month.
      Returns:
        the updated MonthlyScheduleParameters object.

    - #### getWeekOfMonth

          public MonthlyScheduleParameters.Week getWeekOfMonth()

      Get the week of month.
      Returns:
        the week of month.

    - #### setWeekOfMonth

          public void setWeekOfMonth(MonthlyScheduleParameters.Week weekOfMonth)

      Set the week of month.
      Parameters:
        `weekOfMonth` - the week of month.

    - #### withWeekOfMonth

          public MonthlyScheduleParameters withWeekOfMonth(MonthlyScheduleParameters.Week weekOfMonth)

      Set the week of month.
      Parameters:
        `weekOfMonth` - the week of month.
      Returns:
        the updated MonthlyScheduleParameters object.

    - #### getDayOfWeek

          public MonthlyScheduleParameters.Day getDayOfWeek()

      Get the day of week.
      Returns:
        the day of week.

    - #### setDayOfWeek

          public void setDayOfWeek(MonthlyScheduleParameters.Day dayOfWeek)

      Set the day of week.
      Parameters:
        `dayOfWeek` - the day of week.

    - #### withDayOfWeek

          public MonthlyScheduleParameters withDayOfWeek(MonthlyScheduleParameters.Day dayOfWeek)

      Set the day of week.
      Parameters:
        `dayOfWeek` - the day of week.
      Returns:
        the updated MonthlyScheduleParameters object.

    - #### getMonths

          public java.util.List<MonthlyScheduleParameters.Month> getMonths()

      Get the months.
      Returns:
        the months.

    - #### setMonths

          public void setMonths(java.util.List<MonthlyScheduleParameters.Month> months)

      Set the months.
      Parameters:
        `months` - the months.

    - #### withMonths

          public MonthlyScheduleParameters withMonths(java.util.List<MonthlyScheduleParameters.Month> months)

      Set the months.
      Parameters:
        `months` - the months.
      Returns:
        the updated MonthlyScheduleParameters object.

    - #### withMonths

          public MonthlyScheduleParameters withMonths(MonthlyScheduleParameters.Month... months)

      Set the months.
      Parameters:
        `months` - the months.
      Returns:
        the updated MonthlyScheduleParameters object.

    - #### addMonth

          public MonthlyScheduleParameters addMonth(MonthlyScheduleParameters.Month month)

      Add a month.
      Parameters:
        `month` - the month to add.
      Returns:
        the updated MonthlyScheduleParameters object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.